{% extends "index.html" %}

{% block content %}
    {#    {{ teachers }}#}
    <table class="table table-dark table-striped">
        <thead>
        <tr>
            <th scope="col">#</th>
            <th scope="col">First name</th>
            <th scope="col">Last name</th>
            <th scope="col">Email</th>
            <th scope="col">Start date</th>
            <th scope="col">Experience</th>
            <th scope="col">Birth date</th>
            <th scope="col">Update</th>
            <th scope="col">Delete</th>
            <th scope="col">Group</th>
        </tr>
        </thead>
        <tbody>
        {% for teacher in teachers %}
            <tr>
                <th scope="row"></th>
                <td>{{ teacher.first_name }}</td>
                <td>{{ teacher.last_name }}</td>
                <td>{{ teacher.email }}</td>
                <td>{{ teacher.start_date }}</td>
                <td>{{ teacher.birth_date }}</td>
                {% if teacher.birth_date %}
                    <td>{{ teacher.birth_date }}</td>
                {% else %}
                    <td>Unknown age</td>
                {% endif %}
                {#                <td>{{ teacher.group }}</td>#}


                <th><a type="button" class="btn btn-warning" href="{% url 'teachers:update_teacher' teacher.uuid %}"
                >Update</a></th>
                <th><a type="button" class="btn btn-warning" href="{% url 'teachers:delete_teacher' teacher.uuid %}"
                >Delete</a></th>
                <th><a type="button" class="btn btn-warning" href="{% url 'teachers:group_teacher' %}"
                >Group</a></th>

            </tr>
        {% endfor %}

        </tbody>
    </table>
{% endblock content %}